diff -u -r src.orig/Makefile src/Makefile
--- src.orig/Makefile	2004-12-24 07:59:14.000000000 -0800
+++ src/Makefile	2005-03-19 09:26:22.000000000 -0800
@@ -57,8 +57,8 @@
 
 install: checkroot LICENSE_38_ACCEPTED MAILHOME_38 makedirs cwpstuff plot sustuff tristuff tetrastuff compstuff reflstuff
 
-xtinstall: xtcwp
-xminstall: xmcwp
+xtinstall: xtcwp_progs
+xminstall: xmcwp_prog
 mglinstall: mglstuff
 
 # automatic mail message (ask once)
@@ -91,12 +91,12 @@
 sustuff	:
 	cd ./su ; $(MAKE)
 
-xtcwp	:
+xtcwp_progs	:
 	cd ./Xtcwp; $(MAKE)
 	cd ./xplot; $(MAKE)
 	cd ./xtri; $(MAKE)
 
-xmcwp	:
+xmcwp_prog	:
 	cd ./Xmcwp; $(MAKE)
 
 complex	:
diff -u -r src.orig/Makefile.config src/Makefile.config
--- src.orig/Makefile.config	2005-01-11 10:09:59.000000000 -0800
+++ src/Makefile.config	2005-03-19 09:29:10.000000000 -0800
@@ -152,7 +152,7 @@
 #OPTC = -O -s 
 #
 # Default-- this works on many systems
-OPTC = -O 
+#OPTC = -O 
 
 # O3 optimization full ansi (Linux)
 OPTC = -O3 -Wall -ansi -pedantic -D_POSIX_SOURCE 
@@ -239,14 +239,14 @@
 # Rules for standard `make' installs
 # leave the next line uncommented if you are using the standard Unix "make"
 # command.  Make sure the gnumake.rules line is commented out in this case.
-include $(CWPROOT)/src/Rules/oldmake.rules
+#include $(CWPROOT)/src/Rules/oldmake.rules
 
 # If you get error messages about "can't find $(@F), then
 # you are actually using GNU make, and need to uncomment the 
 # gnumake.rules line
 # Rules for 'GNU make' installs (includes Linux, FreeBSD, Mac OS X installs)
 # uncomment the next line if you are using  "GNU make" 
-#include $(CWPROOT)/src/Rules/gnumake.rules
+include $(CWPROOT)/src/Rules/gnumake.rules
 
 
 ########################################################################
@@ -277,7 +277,7 @@
 #LD_LIBRARY_PATH += $(CWPROOT)/lib:/usr/local/lesstif/lib
 
 # under SUN OS and RedHat Linux  uncomment the next line
-LD_LIBRARY_PATH += $(CWPROOT)/lib:/usr/X11R6/LessTif/lib
+DYLD_LIBRARY_PATH += $(CWPROOT)/lib:@FINKPREFIX@/lib:/usr/X11/lib
 
 #############################################################################
 # the archiver
@@ -315,7 +315,7 @@
 # Default C preprocessor (cpp) definition
 # this is the one you will use on most systems
 # AIX, IRIX if using the native cc compiler, Linux
-CPP = /lib/cpp
+CPP = /usr/bin/cpp
 
 
 # under Solaris, IRIX, AIX, and possibly other with gcc compiler, use:
@@ -394,10 +394,10 @@
 ####
 # Generic (RS6000, SGI)
 # X11 include path
-IX11 = /usr/local/include
+#IX11 = /usr/local/include
 
 # X11 library path
-LX11 = /usr/local/lib
+#LX11 = /usr/local/lib
 ####
 
 ####
@@ -437,39 +437,39 @@
 # if you have these include files and libraries. 
 #
 # include path
-IMOTIF = /usr/local/include
+IMOTIF = @FINKPREFIX@/include
 
 # library path
-LMOTIF = /usr/local/lib
+LMOTIF = @FINKPREFIX@/lib
 
 # Example of Lesstif usage:
 # include path 
-IMOTIF = /usr/local/lesstif/include
+#IMOTIF = /usr/local/lesstif/include
 
 # library path
-LMOTIF = /usr/local/lesstif/lib
+#LMOTIF = /usr/local/lesstif/lib
 
 #### Example of Lesstif usage under RedHat
 # include path 
-IMOTIF = /usr/X11R6/LessTif/Motif2.0/include
+#IMOTIF = /usr/X11R6/LessTif/Motif2.0/include
 
 # library path
-LMOTIF = /usr/X11R6/LessTif/Motif2.0/lib
+#LMOTIF = /usr/X11R6/LessTif/Motif2.0/lib
 
 
 #### Open GL/Mesa include and library paths (generic example)
 # Open GL/Mesa include path
-IGL = /usr/local/include
+IGL = /usr/X11R6/include
 
 # Open GL/Mesa library path
-LGL = /usr/local/lib
+LGL = /usr/X11R6/lib
 
 ## GLUT include and library paths
 # include path
-IGLUT = /usr/local/include
+IGLUT = @FINKPREFIX@/include
 
 # library path
-LGLUT = /usr/local/lib
+LGLUT = @FINKPREFIX@/lib
 
 #### examples for SGI with glut installed in /usr/local/glut-3.3 
 ## GLUT include and library paths
@@ -489,10 +489,10 @@
 
 #### Red Hat 7.2 Linux  example
 ## GLUT include and library paths
-IGLUT = /usr/include
+#IGLUT = /usr/include
 
 # Open GL/Mesa library path
-LGLUT = /usr/lib
+#LGLUT = /usr/lib
 ###
 
 ################################################################
diff -u -r src.orig/Xtcwp/main/Makefile src/Xtcwp/main/Makefile
--- src.orig/Xtcwp/main/Makefile	2003-04-01 13:06:11.000000000 -0800
+++ src/Xtcwp/main/Makefile	2005-03-19 09:35:16.000000000 -0800
@@ -6,7 +6,7 @@
 D = $L/libXtcwp.a $L/libpar.a $L/libcwp.a
 
 # use the first LDFLAGS if on a non-motif system
-LDFLAGS= $(PRELFLAGS) -L$L $(XLFLAGSADD) -lXtcwp -lpar -lcwp -L$(LX11) -lXt -lX11 -lm $(POSTLFLAGS)
+LDFLAGS= $(PRELFLAGS) -L$L $(XLFLAGSADD) -lXtcwp -lpar -lcwp -L$(LX11)  -lSM -lICE -lXt -lX11 $(POSTLFLAGS)
 #LDFLAGS= $(PRELFLAGS) -L$L -lXtcwp $(XLFLAGSADD) -lpar -lcwp -L$(LX11) -lXm -lXt -lX11 -lXaw -lm $(POSTLFLAGS)
 
 PROGS = $B/xgraph \
diff -u -r src.orig/chkroot.sh src/chkroot.sh
--- src.orig/chkroot.sh	2001-12-10 09:12:45.000000000 -0800
+++ src/chkroot.sh	2005-03-19 09:00:25.000000000 -0800
@@ -15,14 +15,14 @@
 fi
 
 echo "Installing the CWP codes under the ROOT = ${CWPROOT}"
-echo "Continue install? [y/n] "  | tr -d "\012"
-	read RESP
-		case $RESP in
-			y*|Y*) # continue
-			;;
-			*) # abort
-	
-				echo "Aborting make " ; exit 1
-			;;
-		esac
+#echo "Continue install? [y/n] "  | tr -d "\012"
+#	read RESP
+#		case $RESP in
+#			y*|Y*) # continue
+#			;;
+#			*) # abort
+#	
+#				echo "Aborting make " ; exit 1
+#			;;
+#		esac
 exit 0
diff -u -r src.orig/par/lib/filestat.c src/par/lib/filestat.c
--- src.orig/par/lib/filestat.c	2005-01-11 09:46:05.000000000 -0800
+++ src/par/lib/filestat.c	2005-03-19 09:03:44.000000000 -0800
@@ -76,7 +76,9 @@
 #define __USE_BSD 1
 #endif
 
+#undef _POSIX_SOURCE
 #include <sys/stat.h>
+#define _POSIX_SOURCE
 #include "par.h"
 
 
diff -u -r src.orig/su/graphics/psplot/supscontour.c src/su/graphics/psplot/supscontour.c
--- src.orig/su/graphics/psplot/supscontour.c	2005-01-11 09:46:19.000000000 -0800
+++ src/su/graphics/psplot/supscontour.c	2005-03-19 10:38:03.000000000 -0800
@@ -284,13 +284,13 @@
 		rewind(x2fp);
 		fread(x2string,sizeof(char),x2len,x2fp);
 		plotcmd = (char *) emalloc(x2len+BUFSIZ);
-		sprintf(plotcmd, "%spscontour n1=%d d1=%f f1=%f %s", bindir,
+		sprintf(plotcmd, "%s_pscontour n1=%d d1=%f f1=%f %s", bindir,
 			   nt, d1, f1, x2string);
 		free(x2string);
 	} else {
 		plotcmd = (char *) emalloc(BUFSIZ);
 		sprintf(plotcmd,
-			"%spscontour n1=%d n2=%d d1=%f d2=%f f1=%f f2=%f", bindir, 
+			"%s_pscontour n1=%d n2=%d d1=%f d2=%f f1=%f f2=%f", bindir, 
 			   nt, ntr, d1, d2, f1, f2);
 	}
 
diff -u -r src.orig/su/graphics/psplot/supsimage.c src/su/graphics/psplot/supsimage.c
--- src.orig/su/graphics/psplot/supsimage.c	2005-01-11 09:46:19.000000000 -0800
+++ src/su/graphics/psplot/supsimage.c	2005-03-19 10:35:21.000000000 -0800
@@ -216,7 +216,7 @@
 
 	/* Set up psimage command line */
 	sprintf(plotcmd,
-		"%spsimage n1=%d n2=%d d1=%f d2=%f f1=%f f2=%f", bindir,
+		"%s_psimage n1=%d n2=%d d1=%f d2=%f f1=%f f2=%f", bindir,
 			   nt, ntr, d1, d2, f1, f2);
 
 	for (--argc, ++argv; argc; --argc, ++argv) {
diff -u -r src.orig/xplot/main/xcontour.c src/xplot/main/xcontour.c
--- src.orig/xplot/main/xcontour.c	2005-01-11 09:46:27.000000000 -0800
+++ src/xplot/main/xcontour.c	2005-03-19 10:37:06.000000000 -0800
@@ -581,7 +581,7 @@
 				int nbpi;
 
 				efseeko(infp,(off_t) 0,SEEK_SET);
-				strcpy(cmdline,"pscontour ");
+				strcpy(cmdline,"_pscontour ");
 				for (iargc = 1; iargc < argc; iargc++ ) {
 					strcat(cmdline," ");
 					strcat(cmdline,argv[iargc]);
diff -u -r src.orig/xplot/main/ximage.c src/xplot/main/ximage.c
--- src.orig/xplot/main/ximage.c	2005-01-11 09:46:27.000000000 -0800
+++ src/xplot/main/ximage.c	2005-03-19 10:36:04.000000000 -0800
@@ -976,7 +976,7 @@
 				FILE *plotfp;	/*fp for plot data*/					
 
 				cmdline = (char *) emalloc(BUFSIZ);				
-				strcpy(cmdline,"psimage");
+				strcpy(cmdline,"_psimage");
 				for(iargc = 1; iargc < argc; iargc++) {
 					strcat(cmdline," ");
 					strcat(cmdline,argv[iargc]);
